Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerFilterInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerFilterInfo

    public class ContainerFilterInfo

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerFilterInfo(java.lang.String name, java.lang.String className, java.util.Set<LifeCyclePhase> phases, org.jboss.portal.common.i18n.LocalizedString displayName, org.jboss.portal.common.i18n.LocalizedString description, java.util.Map<java.lang.String,java.lang.String> parameters)`

Method Summary
`java.lang.String` | `getClassName()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
`java.util.Set<LifeCyclePhase>` | `getPhases()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerFilterInfo

    public ContainerFilterInfo(java.lang.String name,
                               java.lang.String className,
                               java.util.Set<LifeCyclePhase> phases,
                               org.jboss.portal.common.i18n.LocalizedString displayName,
                               org.jboss.portal.common.i18n.LocalizedString description,
                               java.util.Map<java.lang.String,java.lang.String> parameters)

Method Detail

### getName

    public java.lang.String getName()

### getClassName

    public java.lang.String getClassName()

### getPhases

    public java.util.Set<LifeCyclePhase> getPhases()

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.